diff options
| author | cvsdist <cvsdist@fedoraproject.org> | 2004-09-09 03:29:07 +0000 |
|---|---|---|
| committer | cvsdist <cvsdist@fedoraproject.org> | 2004-09-09 03:29:07 +0000 |
| commit | 2f7f4bd084026d236ed6f3d5b28ef5bb686d5ec0 (patch) | |
| tree | b76c064eeba39da27ce7c6ecb10d8df28eb6798d /named.init | |
| parent | 49b320d860ce422380c1ad4dc96c71d5ca53dc32 (diff) | |
auto-import changelog data from bind-8.2.2_P5-25.src.rpmbind-8_2_2_P5-25
Sat Aug 05 2000 Bill Nottingham <notting@redhat.com>
- condrestart fixes
Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- change the init script to take condrestart, not cond-restart
- add sh-utils, /bin/cat, perl, /bin/chmod, /usr/sbin/useradd as prereqs
for the %pre and %post scripts
Sun Jul 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't prereq /etc/init.d
Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back
Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild
Sun Jul 09 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add "exit 0" for uninstall case
Fri Jul 07 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add prereq init.d and cleanup install section
Fri Jun 30 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix the init script
Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- make libbind.a and nslookup.help readable again by setting INSTALL_LIB to
""
Mon Jun 26 2000 Bernhard Rosenkränzer <bero@redhat.com>
- Fix up the initscript (Bug #13033)
- Fix build with current glibc (Bug #12755)
- /etc/rc.d/init.d -> /etc/init.d
- use %{_mandir} rather than /usr/share/man
Mon Jun 19 2000 Bill Nottingham <notting@redhat.com>
- fix conflict with man-pages
- remove compatibilty chkconfig links
- initscript munging
Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify logrotate setup to use PID file
- temporarily disable optimization by unsetting $RPM_OPT_FLAGS at
build-time
- actually bump the release this time
Sun Jun 04 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHS compliance
Mon Apr 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- clean up restart patch
Mon Apr 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- provide /var/named (fix for bugs #9847, #10205)
- preserve args when restarted via ndc(8) (bug #10227)
- make resolv.conf(5) a link to resolver(5) (bug #10245)
- fix SYSTYPE bug in all makefiles
- move creation of named user from %post into %pre
Mon Feb 28 2000 Bernhard Rosenkränzer <bero@redhat.com>
- Fix TTL (patch from ISC, Bug #9820)
Wed Feb 16 2000 Bernhard Rosenkränzer <bero@redhat.com>
- fix typo in spec (it's %post, without a leading blank) introduced in -6
- change SYSTYPE to linux
Fri Feb 11 2000 Bill Nottingham <notting@redhat.com>
- pick a standard < 100 uid/gid for named
Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Pass named a '-u named' parameter by default, and add/remove user.
Thu Feb 03 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix host mx bug (Bug #9021)
Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
- man pages are compressed
Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- It's /usr/bin/killall, not /usr/sbin/killall (Bug #8063)
Mon Jan 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up location of named-bootconf.pl and make it executable (Bug #8028)
- bind-devel requires bind
Mon Nov 15 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to 8.2.2-P5
Wed Nov 10 1999 Bill Nottingham <notting@redhat.com>
- update to 8.2.2-P3
Tue Oct 12 1999 Cristian Gafton <gafton@redhat.com>
- add patch to stop a cache only server from complaining about lame servers
on every request.
Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- use real stop and start in named.init for restart, not ndc restart, it
has problems when named has changed during a package update... (# 4890)
Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun
Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
Mon Jul 26 1999 Bill Nottingham <notting@redhat.com>
- fix installed chkconfig links to match init file
Sat Jul 03 1999 Jeff Johnson <jbj@redhat.com>
- conflict with new (in man-1.24) man pages (#3876,#3877).
Tue Jun 29 1999 Bill Nottingham <notting@redhat.com>
- fix named.logrotate (wrong %SOURCE)
Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 8.2.1.
- add named.logrotate (#3571).
- hack around egcs-1.1.2 -m486 bug (#3413, #3485).
- vet file list.
Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default
Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- nslookup fixes (#2463).
- missing files (#3152).
Sat May 01 1999 Stepan Kasal <kasal@math.cas.cz>
- nslookup patched: to count numRecords properly to fix subsequent calls to
ls -d to parse "view" and "finger" commands properly the view hack
updated for bind-8 (using sed)
Wed Mar 31 1999 Bill Nottingham <notting@redhat.com>
- add ISC patch
- add quick hack to make host not crash
- add more docs
Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add probing information in the init file to keep linuxconf happy
- dont strip libbind
Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)
Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- removed 'done' output at named shutdown.
Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.2
Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to use the __FDS_BITS macro
- build for glibc 2.1
Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- change named.restart to /usr/sbin/ndc restart
Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- install man pages correctly.
- change K10named to K45named.
Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- don't start if /etc/named.conf doesn't exist.
Sat Aug 08 1998 Jeff Johnson <jbj@redhat.com>
- autmagically create /etc/named.conf from /etc/named.boot in %post
- remove echo in %post
Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in 5.1 mods
Sun Apr 12 1998 Manuel J. Galan <manolow@step.es>
- Several essential modifications to build and install correctly.
- Modified 'ndc' to avoid deprecated use of '-'
Mon Dec 22 1997 Scott Lampert <fortunato@heavymetal.org>
- Used buildroot
- patched bin/named/ns_udp.c to use <libelf/nlist.h> for include on Redhat
5.0 instead of <nlist.h>
Diffstat (limited to 'named.init')
| -rwxr-xr-x | named.init | 92 |
1 files changed, 92 insertions, 0 deletions
diff --git a/named.init b/named.init new file mode 100755 index 0000000..80fdb3d --- /dev/null +++ b/named.init @@ -0,0 +1,92 @@ +#!/bin/bash +# +# named This shell script takes care of starting and stopping +# named (BIND DNS server). +# +# chkconfig: - 55 45 +# description: named (BIND) is a Domain Name Server (DNS) \ +# that is used to resolve host names to IP addresses. +# probe: true + +# Source function library. +. /etc/rc.d/init.d/functions + +# Source networking configuration. +. /etc/sysconfig/network + +# Check that networking is up. +[ ${NETWORKING} = "no" ] && exit 0 + +[ -f /usr/sbin/named ] || exit 0 + +[ -f /etc/named.conf ] || exit 0 + +RETVAL=0 + +start() { + # Start daemons. + echo -n "Starting named: " + daemon named -u named + RETVAL=$? + [ $RETVAL -eq 0 ] && touch /var/lock/subsys/named + echo + return $RETVAL +} +stop() { + # Stop daemons. + echo -n "Shutting down named: " + killproc named + RETVAL=$? + [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/named + echo + return $RETVAL +} +rhstatus() { + /usr/sbin/ndc status + return $? +} +restart() { + stop + start +} +reload() { + /usr/sbin/ndc reload + return $? +} +probe() { + # named knows how to reload intelligently; we don't want linuxconf + # to offer to restart every time + /usr/sbin/ndc reload >/dev/null 2>&1 || echo start + return $? +} + +# See how we were called. +case "$1" in + start) + start + ;; + stop) + stop + ;; + status) + rhstatus + ;; + restart) + restart + ;; + condrestart) + [ -f /var/lock/subsys/named ] && restart || : + ;; + reload) + reload + ;; + probe) + probe + ;; + *) + echo "Usage: named {start|stop|status|restart|condrestart|reload|probe}" + exit 1 +esac + +exit $? + |
